Package org.eclipse.emf.cdo.etypes

## Interface Annotation

- All Superinterfaces:
    `CDOObject`, `CDOWithID`, `org.eclipse.emf.ecore.EObject`, `ModelElement`, `org.eclipse.emf.common.notify.Notifier`
  All Known Implementing Classes:
    `AnnotationImpl`

      public interface Annotation
      extends ModelElement

  A representation of the model object 'Annotation'.
  Since:
    4.0
  See Also:
    `EtypesPackage.getAnnotation()`
  Generated
  Model
  No Implement
    This interface is not intended to be implemented by clients.

    The following features are supported:

    - `Source`
    - `Details`
    - `Model Element`
    - `Contents`
    - `References`
  No Extend
    This interface is not intended to be extended by clients.

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `org.eclipse.emf.common.util.EList<org.eclipse.emf.ecore.EObject>` | `getContents()` | Returns the value of the 'Contents' containment reference list.
    `org.eclipse.emf.common.util.EMap<java.lang.String,​java.lang.String>` | `getDetails()` | Returns the value of the 'Details' map.
    `ModelElement` | `getModelElement()` | Returns the value of the 'Model Element' container reference.
    `org.eclipse.emf.common.util.EList<org.eclipse.emf.ecore.EObject>` | `getReferences()` | Returns the value of the 'References' reference list.
    `java.lang.String` | `getSource()` | Returns the value of the 'Source' attribute.
    `void` | `setModelElement​(ModelElement value)` | Sets the value of the '`Model Element`' container reference.
    `void` | `setSource​(java.lang.String value)` | Sets the value of the '`Source`' attribute.

    - ### Methods inherited from interface org.eclipse.emf.cdo.CDOObject

      `cdoConflict, cdoDirectResource, cdoHistory, cdoID, cdoInvalid, cdoLockState, cdoPermission, cdoPrefetch, cdoReadLock, cdoReload, cdoResource, cdoRevision, cdoRevision, cdoState, cdoView, cdoWriteLock, cdoWriteOption`

    - ### Methods inherited from interface org.eclipse.emf.ecore.EObject

      `eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eInvoke, eIsProxy, eIsSet, eResource, eSet, eUnset`

    - ### Methods inherited from interface org.eclipse.emf.cdo.etypes.ModelElement

      `getAnnotation, getAnnotations`

    - ### Methods inherited from interface org.eclipse.emf.common.notify.Notifier

      `eAdapters, eDeliver, eNotify, eSetDeliver`

- - ### Method Detail

    - #### getSource

          java.lang.String getSource()

      Returns the value of the 'Source' attribute.

      If the meaning of the 'Source' attribute isn't clear, there really should be more of a description here...

      Returns:
        the value of the 'Source' attribute.
      See Also:
        `setSource(String)`, `EtypesPackage.getAnnotation_Source()`
      Generated
      Model

    - #### setSource

          void setSource​(java.lang.String value)

      Sets the value of the '`Source`' attribute.
      Parameters:
        `value` - the new value of the 'Source' attribute.
      See Also:
        `getSource()`
      Generated

    - #### getDetails

          org.eclipse.emf.common.util.EMap<java.lang.String,​java.lang.String> getDetails()

      Returns the value of the 'Details' map. The key is of type `String`, and the value is of type `String`,

      If the meaning of the 'Details' map isn't clear, there really should be more of a description here...

      Returns:
        the value of the 'Details' map.
      See Also:
        `EtypesPackage.getAnnotation_Details()`
      Generated
      Model
        mapType="org.eclipse.emf.ecore.EStringToStringMapEntry<org.eclipse.emf.ecore.EString, org.eclipse.emf.ecore.EString>"

    - #### getModelElement

          ModelElement getModelElement()

      Returns the value of the 'Model Element' container reference. It is bidirectional and its opposite is '`Annotations`'.

      If the meaning of the 'Model Element' container reference isn't clear, there really should be more of a description here...

      Returns:
        the value of the 'Model Element' container reference.
      See Also:
        `setModelElement(ModelElement)`, `EtypesPackage.getAnnotation_ModelElement()`, `ModelElement.getAnnotations()`
      Generated
      Model
        opposite="annotations" transient="false"

    - #### setModelElement

          void setModelElement​(ModelElement value)

      Sets the value of the '`Model Element`' container reference.
      Parameters:
        `value` - the new value of the 'Model Element' container reference.
      See Also:
        `getModelElement()`
      Generated

    - #### getContents

          org.eclipse.emf.common.util.EList<org.eclipse.emf.ecore.EObject> getContents()

      Returns the value of the 'Contents' containment reference list. The list contents are of type `EObject`.

      If the meaning of the 'Contents' containment reference list isn't clear, there really should be more of a description here...

      Returns:
        the value of the 'Contents' containment reference list.
      See Also:
        `EtypesPackage.getAnnotation_Contents()`
      Generated
      Model
        containment="true"

    - #### getReferences

          org.eclipse.emf.common.util.EList<org.eclipse.emf.ecore.EObject> getReferences()

      Returns the value of the 'References' reference list. The list contents are of type `EObject`.

      If the meaning of the 'References' reference list isn't clear, there really should be more of a description here...

      Returns:
        the value of the 'References' reference list.
      See Also:
        `EtypesPackage.getAnnotation_References()`
      Generated
      Model